Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## be.ehealth.businessconnector.wsconsent.builders
Interface ConsentBuilder

All Known Implementing Classes:
  ConsentBuilderImpl

    public interface ConsentBuilder

CommonBuilder Interface. Default impl : `ConsentBuilderImpl` Factory : `RequestObjectBuilderFactory`

Method Summary
`ConsentType` | `createNewConsent(PatientIdType patient, List<CDCONSENT> consent, org.joda.time.DateTime signdate, AuthorWithPatientAndPersonType author)` Method which create a consent type to create a new consent.
`SelectGetPatientConsentType` | `createSelectGetPatientConsent(PatientIdType patient, List<CDCONSENT> consentType)` Method which create SelectGetPatientConsentType based on patient and consentType.

Method Detail

### createSelectGetPatientConsent

    SelectGetPatientConsentType createSelectGetPatientConsent(PatientIdType patient,
                                                              List<CDCONSENT> consentType)
                                                              throws TechnicalConnectorException,
                                                                     WsConsentBusinessConnectorException,
                                                                     InstantiationException

  Method which create SelectGetPatientConsentType based on patient and consentType.

  Parameters:
    `patient` - for which the consent had to be done
    `consentType` - the list of CDCONSENT
  Returns:
    SelectGetPatientConsentType
  Throws:
    `TechnicalConnectorException`
    `WsConsentBusinessConnectorException`
    `InstantiationException`

### createNewConsent

    ConsentType createNewConsent(PatientIdType patient,
                                 List<CDCONSENT> consent,
                                 org.joda.time.DateTime signdate,
                                 AuthorWithPatientAndPersonType author)
                                 throws TechnicalConnectorException,
                                        WsConsentBusinessConnectorException,
                                        InstantiationException

  Method which create a consent type to create a new consent.

  Parameters:
    `patient` - for which the consent had to be done
    `consent` - the list of CDCONSENT
    `signdate` - the date when the consent is signed
    `author` - Identification of the author (‘end-user’ ) performing the request.
  Returns:
    ConsentType
  Throws:
    `TechnicalConnectorException`
    `WsConsentBusinessConnectorException`
    `InstantiationException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Connector Packaging PERSPHYSICIAN 3.29.0 API
Copyright © {inceptionYear}-2025 eHealth. All Rights Reserved.